#include "18F2520.h"
#fuses INTRC, NOWDT, NOPROTECT, BROWNOUT, PUT, NOLVP		// Internal oscillator
#use delay(clock=4000000)		// 4Mhz

#include "st7565.h"
#include "st7565-config.h"

#include "st7565.c"

void main()
{

	setup_adc_ports(NO_ANALOGS|VSS_VDD);   		// No analogs
	setup_adc(ADC_OFF|ADC_TAD_MUL_0);
	
	setup_comparator (NC_NC_NC_NC);      // Disable comparator 

	glcd_init(); 

	glcd_contrast(3, 25);

	while(1)
	{
		glcd_pixel(1, 1, 1);
		glcd_pixel(2, 1, 1);
		glcd_pixel(1, 2, 1);
		glcd_pixel(2, 2, 1);
		
	}
}
